#155 Opening file failed. Unsuccessfull getting details.

open-fixed
None
5
2012-08-20
2012-07-31
Ralph Pape
No

Hi Justin,

Thanks for the great software.

I'm using minidlna-1.0.22 in combination with a Sony BRAVIA KDL-40W5800 TV for streaming video from my debian home server. The recordings were made via MythTV. I wrote a little script to map the recordings to human readable filenames over symbolic links . The script is executed every minute over cron.

Yesterday I tried latest minidlna-cvs and run into trouble.
[2012/07/31 05:00:04] minidlna.c:1072: warn: Starting MiniDLNA version 1.1.0-cvs.

After MythTV starts the recording my script genereates the symbolic link. Minidlna detects the link but fails to open the file. Thus my Bravia does not show the recording. :(
[2012/07/31 07:25:02] inotify.c:705: debug: The symbolic link /home/mythtv/video/Die Sendung mit dem Elefanten/Lach- und Sachgeschichten für Fernsehanfänger - 31072012 0724.mpg was created.
[2012/07/31 07:25:02] metadata.c:767: warn: Opening /home/mythtv/video/Die Sendung mit dem Elefanten/Lach- und Sachgeschichten für Fernsehanfänger - 31072012 0724.mpg failed!
[2012/07/31 07:25:02] scanner.c:514: warn: Unsuccessful getting details for /home/mythtv/video/Die Sendung mit dem Elefanten/Lach- und Sachgeschichten für Fernsehanfänger - 31072012 0724.mpg!

Deleting the symlink and recreate it does not solve the problem.

Restarting minidlna with the -R option rebuilds the database and then the recording can be opened even if the recording isn't finished.
Rebuildung my database after a recording has started i no option. Scanning the db last about 20 min. )
[2012/07/31 10:32:42] metadata.c:912: debug: Container: 'mpegts' [Lach- und Sachgeschichten für Fernsehanfänger - 31072012 0724.mpg]
[2012/07/31 10:32:42] metadata.c:973: debug: Stream 0 of Lach- und Sachgeschichten für Fernsehanfänger - 31072012 0724.mpg is 720x576 MPEG2 TS packet size 188

Any ideas ?

Do you need more informations?

Thank you in advance and greeting from Germany.

Discussion

  • Ralph Pape
    Ralph Pape
    2012-07-31

    • assigned_to: nobody --> jmaggard
     
  • Same for me:

    [2012/08/02 20:25:47] metadata.c:767: warn: Opening /raid5/videos/TV/Star Trek - Deep Space Nine/2012-08-02 20.25.mpeg failed!
    [2012/08/02 20:25:47] scanner.c:514: warn: Unsuccessful getting details for /raid5/videos/TV/Star Trek - Deep Space Nine/2012-08-02 20.25.mpeg!

    After rescan it works, but not during inotify!

    PLZ fix it, it worked before.

     
  • Ralph Pape
    Ralph Pape
    2012-08-13

    bump

     
  • Cecil Coupe
    Cecil Coupe
    2012-08-15

    I know folks are busy, but this regression bug is kind of painful. I'm running Ubuntu 11.10 & Minidlna-cvs-head (so it's kind of current)
    and it's failing as described. I also run a Debian NAS with and older (1.20) of minidlna and the inotify works very well. I can help test if
    needed.

     
  • plz fix it

     
  • Justin Maggard
    Justin Maggard
    2012-08-20

    Thanks for reporting this. I believe this should be fixed now with a change I just checked in to CVS HEAD. Please verify when you have a chance.

     
  • Justin Maggard
    Justin Maggard
    2012-08-20

    • status: open --> open-fixed
     
  • Cecil Coupe
    Cecil Coupe
    2012-08-21

    Failed to 'cvs update' on metadata.c. For better or worse it did modify the metadata.c file and gcc complained about an #if without and #end.
    It's entirely possible that I can drive CVS.

     
  • Cecil Coupe
    Cecil Coupe
    2012-08-21

    Entirely possible I CAN'T drive CVS. Almost a newbie.

     
  • Sorry, fix is not working well for other things:

    [2012/08/21 08:19:56] minidlna.c:1072: warn: Starting MiniDLNA version 1.1.0-cvs.
    [2012/08/21 08:19:56] minidlna.c:1115: warn: HTTP listening on port 8200
    [2012/08/21 08:20:01] upnpsoap.c:1904: warn: SoapMethod: Unknown: RegisterDevice
    [2012/08/21 08:20:01] upnpsoap.c:1952: warn: Returning UPnPError 401: Invalid Action
    [2012/08/21 08:20:25] minidlna.c:155: warn: received signal 15, good-bye
    [2012/08/21 08:20:25] minidlna.c:155: warn: received signal 15, good-bye
    [2012/08/21 08:26:44] minidlna.c:1072: warn: Starting MiniDLNA version 1.1.0-cvs.
    [2012/08/21 08:26:44] minidlna.c:365: warn: Creating new database at /data/minidlna/files.db
    [2012/08/21 08:26:44] minidlna.c:1115: warn: HTTP listening on port 8200
    [2012/08/21 08:26:44] scanner.c:664: warn: Scanning /raid5/musik
    [2012/08/21 08:26:47] upnpsoap.c:1904: warn: SoapMethod: Unknown: RegisterDevice
    [2012/08/21 08:26:47] upnpsoap.c:1952: warn: Returning UPnPError 401: Invalid Action
    [2012/08/21 08:26:49] upnphttp.c:1887: warn: 5131.mp3 not found, responding ERROR 404
    [2012/08/21 08:26:50] upnphttp.c:1887: warn: 5131.mp3 not found, responding ERROR 404
    [2012/08/21 08:26:51] upnphttp.c:1887: warn: 5131.mp3 not found, responding ERROR 404
    [2012/08/21 08:26:52] upnphttp.c:1887: warn: 5131.mp3 not found, responding ERROR 404
    [2012/08/21 08:26:53] upnphttp.c:1887: warn: 5131.mp3 not found, responding ERROR 404
    [2012/08/21 08:26:54] upnphttp.c:1887: warn: 5131.mp3 not found, responding ERROR 404
    [2012/08/21 08:26:55] upnphttp.c:1887: warn: 5131.mp3 not found, responding ERROR 404
    [2012/08/21 08:26:56] upnphttp.c:1887: warn: 5131.mp3 not found, responding ERROR 404
    [2012/08/21 08:26:57] upnphttp.c:1887: warn: 5131.mp3 not found, responding ERROR 404
    [2012/08/21 08:26:58] upnphttp.c:1887: warn: 5131.mp3 not found, responding ERROR 404

    What is 5131.mp3 -> i guess a bug.

    Addtionally minidlna CAN'T be stop correctly. After terminating it stays in the process list and need to BE KILLED WITH "-9".